package com.yihu.jw.entity.care.common;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: yeshijie
 * @Date: 2021/5/8
 * @Description: 饮食字典
 */
@Entity
@Table(name="dict_diet")
public class DictDietDO extends UuidIdentityEntity {

    /**
     * '食物名称'
     */
    private String name;
    /**
     * '食物分类'
     */
    private String type;
    private String typeName;
    /**
     *'热量(千卡)'
     */
    private String heat;
    /**
     *'可食部分(克)'
     */
    private String ediblePart;

    @Column(name = "name")
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Column(name = "type")
    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Transient
    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    @Column(name = "heat")
    public String getHeat() {
        return heat;
    }

    public void setHeat(String heat) {
        this.heat = heat;
    }

    @Column(name = "edible_part")
    public String getEdiblePart() {
        return ediblePart;
    }

    public void setEdiblePart(String ediblePart) {
        this.ediblePart = ediblePart;
    }
}
